/*--------------------------------------------------------------
# Generic styling
--------------------------------------------------------------*/
/* Classic template */
:where(div[data-block-name="woocommerce/legacy-template"]) {
  max-width: unset !important;
}

/* Range slide color */
.wc-block-components-price-slider__range-input-progress,
.rtl .wc-block-components-price-slider__range-input-progress {
  --range-color: var(--wp--preset--color--contrast);
}

.woocommerce .quantity .qty {
  min-height: 45px;
}

/*
 * Breadcrumbs.
 */
.woocommerce .woocommerce-breadcrumb,
.woocommerce .woocommerce-breadcrumb a {
  color: var(--wp--color--text-contrast);
}

/* WooCommerce blocks */
.wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input,
.wc-block-components-form .wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input,
.wc-block-components-form .wc-block-components-text-input input[type=email],
.wc-block-components-form .wc-block-components-text-input input[type=number],
.wc-block-components-form .wc-block-components-text-input input[type=tel],
.wc-block-components-form .wc-block-components-text-input input[type=text],
.wc-block-components-form .wc-block-components-text-input input[type=url],
.wc-block-components-text-input input[type=email],
.wc-block-components-text-input input[type=number],
.wc-block-components-text-input input[type=tel],
.wc-block-components-text-input input[type=text],
.wc-block-components-text-input input[type=url] {
  border-color: var(--wp--custom--input-border-color);
}

.is-large.wc-block-cart .wc-block-cart-items {
  border-collapse: collapse;
}
.is-large.wc-block-cart .wc-block-cart-items td {
  vertical-align: middle;
}
.is-large.wc-block-cart .wc-block-cart-items td:after {
  border-color: var(--wp--custom--input-border-color);
}
.is-large.wc-block-cart .wc-block-cart-items input[type=number] {
  min-height: 0;
}
.is-large.wc-block-cart .wc-block-cart-items:after {
  border-color: var(--wp--custom--input-border-color);
}

.wc-block-components-totals-wrapper:after {
  border-color: var(--wp--custom--input-border-color);
}

.wc-block-cart__submit-button {
  padding-block: var(--wp--preset--spacing--20);
}

.wc-block-grid.has-3-columns:not(.alignwide):not(.alignfull) {
  font-size: var(--wp--preset--font-size--small);
}

.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button {
  margin: 0 !important;
  padding: 0 !important;
}

.wc-block-components-sort-select,
.wc-block-components-totals-item__description {
  margin-bottom: calc(2 * var(--wp--custom--vertical-spacing));
}

.wc-block-grid__products {
  margin: var(--wp--custom--vertical-spacing) 0;
}

/* On-sale badge */
.woocommerce span.onsale,
.wc-block-components-product-sale-badge,
.wc-block-grid__product-onsale,
.woocommerce ul.products li.product .onsale {
  background: var(--wp--preset--color--primary);
  border: none;
  border-radius: 4px;
  -webkit-box-sizing: initial;
          box-sizing: initial;
  color: #ffffff;
  font-size: 0.8rem;
  font-weight: 500;
  left: auto;
  line-height: 1.4;
  margin: 0;
  min-height: initial;
  min-width: initial;
  padding: 5px 8px;
  position: absolute;
  right: 10px;
  text-align: center;
  text-transform: uppercase;
  top: 10px;
  z-index: 9;
}

.woocommerce.single-product .product span.onsale {
  left: 10px;
  right: auto;
}

/* Price */
.wc-block-components-product-price del {
  color: var(--wp--preset--color--secondary);
  text-decoration-color: var(--wp--preset--color--secondary);
  text-decoration-thickness: 1.5px;
}

.wc-block-components-product-price,
.woocommerce div.product p.price,
.woocommerce div.product span.price,
.woocommerce ul.products li.product .price {
  color: var(--wp--preset--color--contrast);
  font-weight: 600;
}

.woocommerce #respond input#submit.alt.disabled, .woocommerce #respond input#submit.alt.disabled:hover, .woocommerce #respond input#submit.alt:disabled, .woocommerce #respond input#submit.alt:disabled:hover, .woocommerce #respond input#submit.alt:disabled[disabled], .woocommerce #respond input#submit.alt:disabled[disabled]:hover,
.woocommerce a.button.alt.disabled,
.woocommerce a.button.alt.disabled:hover,
.woocommerce a.button.alt:disabled,
.woocommerce a.button.alt:disabled:hover,
.woocommerce a.button.alt:disabled[disabled],
.woocommerce a.button.alt:disabled[disabled]:hover,
.woocommerce button.button.alt.disabled,
.woocommerce button.button.alt.disabled:hover,
.woocommerce button.button.alt:disabled,
.woocommerce button.button.alt:disabled:hover,
.woocommerce button.button.alt:disabled[disabled],
.woocommerce button.button.alt:disabled[disabled]:hover,
.woocommerce input.button.alt.disabled,
.woocommerce input.button.alt.disabled:hover,
.woocommerce input.button.alt:disabled,
.woocommerce input.button.alt:disabled:hover,
.woocommerce input.button.alt:disabled[disabled],
.woocommerce input.button.alt:disabled[disabled]:hover {
  background: var(--wp--preset--color--primary);
  color: var(--wp--preset--color--base);
  opacity: 0.5;
}

/* Fix inaccessible colors on the checkout and cart pages */
.wc-block-components-checkout-return-to-cart-button {
  fill: var(--wp--preset--color--contrast);
}

/* Product image */
.wc-block-components-product-image img,
.woocommerce div.product div.images img,
.woocommerce ul.products li.product a img {
  border-radius: var(--wp--custom--button-border-radius);
}

/* Fix a bug with the left alignment not working on the front. */
.wc-block-featured-product.has-left-content .wp-block-button.aligncenter {
  text-align: left;
}

.wc-block-grid__products .wc-block-grid__product-image img {
  width: 100%;
}

.wc-block-grid__product.wc-block-grid__product a:hover {
  text-decoration: none;
}
.wc-block-grid__product.wc-block-grid__product a .wc-block-grid__product-title {
  text-decoration: none;
  color: var(--wp--preset--color--primary);
}

.woocommerce div.product form.cart .button {
  font-family: inherit;
  font-size: 1.24rem;
}

ul.wc-block-product-categories-list.wc-block-product-categories-list--depth-0 {
  list-style: none;
  padding: 0;
}

ul.wc-block-product-categories-list.wc-block-product-categories-list--depth-0 a {
  text-decoration: none;
}

/**
Tables
*/
.woocommerce table.shop_table {
  border: none;
}
.woocommerce table.shop_table th {
  padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--20);
}
.woocommerce table.shop_table tbody td {
  padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--20);
}
.woocommerce table.shop_table tbody .product-name a {
  color: var(--wp--preset--color--contrast);
  text-decoration: none;
  text-decoration: none;
}
.woocommerce table.shop_table tbody .product-name a:hover {
  color: var(--wp--preset--color--primary);
  text-decoration: underline;
}
.woocommerce table.shop_table tbody .product-remove {
  padding-left: 0;
  padding-right: 0;
  text-align: left;
  width: 30px;
}
.woocommerce table.shop_table tbody .product-remove a.remove {
  background: none;
  color: #c7c7c7 !important;
  display: inline-block;
  font-size: 30px;
  font-size: 1.3em;
  font-weight: 500;
  opacity: 1;
  text-decoration: none;
  vertical-align: middle;
}
.woocommerce table.shop_table tbody .product-remove a.remove:hover {
  color: #32373c !important;
}
.woocommerce table.shop_table tbody td.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: var(--wp--preset--spacing--20);
}
.woocommerce table.shop_table tbody td.actions .coupon .input-text {
  min-width: 180px;
}

.woocommerce form .form-row .input-checkbox {
  display: inline-block;
}

.wc-block-components-quantity-selector:after {
  border-color: var(--wp--custom--input-border-color);
}

/**
Messages
*/
.woocommerce-message,
.woocommerce-error,
.woocommerce-info {
  border-style: solid;
  border-width: 0 0 0 3px;
}

.woocommerce-message {
  border-color: var(--wp--preset--color--primary);
}
.woocommerce-message:before {
  color: var(--wp--preset--color--primary);
}

.woocommerce-error {
  border-color: #dc3232;
}

.woocommerce-info {
  border-color: var(--wp--preset--color--primary);
}
.woocommerce-info:before {
  color: var(--wp--preset--color--primary);
}

/**
Fix WooCommerce layout max-width introduced in version 7.2
*/
.woocommerce-account .wp-block-post-title,
.woocommerce-account main .woocommerce,
.woocommerce-cart .wp-block-post-title,
.woocommerce-cart main .woocommerce,
.woocommerce-checkout .wp-block-post-title,
.woocommerce-checkout main .woocommerce {
  max-width: var(--wp--style--global--content-size);
}

.wc-block-components-form .wc-block-components-text-input label,
.wc-block-components-text-input label,
.wc-block-components-combobox .wc-block-components-combobox-control label.components-base-control__label,
.wc-block-components-form .wc-block-components-combobox .wc-block-components-combobox-control label.components-base-control__label {
  font-size: 0.875em;
}

.wc-block-components-form .wc-block-components-text-input input[type=email],
.wc-block-components-form .wc-block-components-text-input input[type=number],
.wc-block-components-form .wc-block-components-text-input input[type=tel],
.wc-block-components-form .wc-block-components-text-input input[type=text],
.wc-block-components-form .wc-block-components-text-input input[type=url],
.wc-block-components-text-input input[type=email],
.wc-block-components-text-input input[type=number],
.wc-block-components-text-input input[type=tel],
.wc-block-components-text-input input[type=text],
.wc-block-components-text-input input[type=url],
.wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input,
.wc-block-components-form .wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input {
  font-size: var(--wp--preset--font-size--x-small);
}

.wc-block-components-form .wc-block-components-text-input input:-webkit-autofill + label,
.wc-block-components-form .wc-block-components-text-input.is-active label,
.wc-block-components-text-input input:-webkit-autofill + label,
.wc-block-components-text-input.is-active label,
.wc-block-components-combobox.is-active .wc-block-components-combobox-control label.components-base-control__label,
.wc-block-components-combobox:focus-within .wc-block-components-combobox-control label.components-base-control__label,
.wc-block-components-combobox.is-active .wc-block-components-combobox-control label.components-base-control__label,
.wc-block-components-form .wc-block-components-combobox:focus-within .wc-block-components-combobox-control label.components-base-control__label {
  -webkit-transform: translateY(0.5em) scale(0.7) !important;
          transform: translateY(0.5em) scale(0.7) !important;
}

.wc-block-components-validation-error p {
  font-size: var(--wp--preset--font-size--x-small) !important;
}

/**
Responsive
*/
@media (max-width: 340px) {
  .wc-block-product-search .wc-block-product-search__fields {
    display: block;
  }
  .wc-block-product-search .wc-block-product-search__field {
    max-width: 165px;
  }
  .wc-block-product-search .wc-block-product-search__button {
    margin-left: 0;
    margin-top: var(--wp--preset--spacing--20);
  }
}
@media (max-width: 782px) {
  .wc-block-cart .wc-block-cart__submit-container--sticky {
    background: inherit;
    padding: 0;
  }
  .wc-block-cart .wc-block-cart__submit-container--sticky:before {
    -webkit-box-shadow: none;
            box-shadow: none;
    color: inherit;
  }
}
del span.woocommerce-Price-amount.amount {
  color: var(--wp--preset--color--quaternary);
  font-size: var(--wp--preset--font-size--x-small);
  line-height: 1;
}

del {
  text-decoration-color: #000;
  text-decoration-thickness: 2px;
}

/*--------------------------------------------------------------
# My account
--------------------------------------------------------------*/
.woocommerce-MyAccount-content a.edit, .woocommerce-MyAccount-content button.wp-element-button {
  position: relative;
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 8px;
  color: var(--wp--preset--color--secondary);
  background-color: transparent;
  text-decoration: none;
  padding: 10px;
  line-height: 1;
  border: 1.5px solid var(--wp--preset--color--secondary);
  overflow: hidden;
}
.woocommerce-MyAccount-content a.edit::after, .woocommerce-MyAccount-content button.wp-element-button::after {
  content: "";
  position: absolute;
  inset: -10px;
  z-index: -1;
  translate: -100% 0;
  background-color: var(--wp--preset--color--secondary);
  -webkit-transition: all 0.4s ease;
  transition: all 0.4s ease;
}
.woocommerce-MyAccount-content a.edit:hover, .woocommerce-MyAccount-content button.wp-element-button:hover {
  color: var(--wp--preset--color--white);
}
.woocommerce-MyAccount-content a.edit:hover::after, .woocommerce-MyAccount-content button.wp-element-button:hover::after {
  translate: 0% 0;
}
.woocommerce-MyAccount-content a.edit:hover::before, .woocommerce-MyAccount-content button.wp-element-button:hover::before {
  font-weight: 900;
}
.woocommerce-MyAccount-content a.edit::before {
  content: "\f303";
  font-family: var(--fa-style-family-sharp);
  font-weight: 300;
  -webkit-transition: all 0.4s ease;
  transition: all 0.4s ease;
}

.select2-container--default .select2-selection--single {
  background-color: var(--wp--preset--color--base);
  border: var(--wp--custom--input-border);
}

/*--------------------------------------------------------------
# Catalog pages
--------------------------------------------------------------*/
/*--------------------------------------------------------------
# Single product
--------------------------------------------------------------*/
/*
 * Product page categories and tags.
 */
.woocommerce .wp-block-woocommerce-product-image-gallery {
  max-width: 100%;
}
.woocommerce .wp-block-woocommerce-product-image-gallery .onsale {
  display: block;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  font-weight: 900;
  top: 42px;
  left: -26px !important;
  font-size: var(--wp--preset--font-size--small);
  line-height: 1;
  color: #000;
  background-color: var(--wp--preset--color--mint-green);
  padding: 12px 24px;
  border: unset;
  border-radius: 0px;
}
.woocommerce .wp-block-woocommerce-product-image-gallery .onsale::after {
  position: absolute;
  left: 0;
  bottom: -36px;
  z-index: -1;
  content: "";
  display: block;
  width: 26px;
  height: 36px;
  background-color: var(--wp--preset--color--green);
  clip-path: polygon(0 0, 100% 0, 100% 100%);
}

.woocommerce.single-product .wp-block-post-excerpt__excerpt {
  font-size: var(--wp--preset--font-size--medium);
}

.woocommerce div.product div.images .flex-control-thumbs {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 16px;
  margin-top: 16px;
}
.woocommerce div.product div.images .flex-control-thumbs li {
  -webkit-box-flex: 1;
      -ms-flex: 1 1 120px;
          flex: 1 1 120px;
  max-width: 140px;
}

.variations_form .variations th,
.variations_form .variations td {
  padding: 0 0 var(--wp--custom--vertical-spacing);
  text-align: initial;
}

/* Tabs */
.woocommerce div.product .woocommerce-tabs {
  display: block;
}
.woocommerce div.product .woocommerce-tabs ul.tabs {
  margin: 0 0 2rem;
  padding: 0 var(--wp--preset--spacing--40) 0 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs:before, .woocommerce div.product .woocommerce-tabs ul.tabs:after {
  display: none;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li {
  background: none;
  border-width: 0 0 3px 0;
  position: relative;
  white-space: nowrap;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li:before, .woocommerce div.product .woocommerce-tabs ul.tabs li:after {
  display: none;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a {
  font-family: var(--wp--preset--font-family--zxproto-italic);
  font-weight: 400;
  font-size: var(--wp--preset--font-size--large);
  -webkit-font-feature-settings: "ss01" 1, "calt" 1;
          font-feature-settings: "ss01" 1, "calt" 1;
  color: var(--wp--preset--color--primary);
  padding: 0 10px 20px !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li:hover {
  border-bottom: 3px solid rgba(0, 87, 74, 0.5333333333);
}
.woocommerce div.product .woocommerce-tabs ul.tabs li:hover a {
  color: #000;
  opacity: 1;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
  border-bottom: 3px solid var(--wp--preset--color--secondary);
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a {
  border-bottom: 3px solid var(--wp--preset--color--secondary);
  color: var(--wp--preset--color--contrast);
  opacity: 1;
  margin-bottom: -3px;
}
.woocommerce div.product .woocommerce-tabs .panel {
  border-bottom: 4px solid #f2f2f2;
  padding: var(--wp--preset--spacing--40) 0 var(--wp--preset--spacing--50);
}
.woocommerce div.product .woocommerce-tabs .panel h2:first-of-type {
  margin-bottom: var(--wp--preset--spacing--20);
  margin-top: 0;
  display: block;
}
.woocommerce div.product .woocommerce-tabs .panel .woocommerce-Reviews .woocommerce-Reviews-title {
  display: block;
}
.woocommerce div.product .woocommerce-tabs .panel .woocommerce-Reviews .comment-text {
  border: 2px solid var(--wp--preset--color--primary) !important;
  border-radius: 0 !important;
}
.woocommerce div.product .woocommerce-tabs .panel .woocommerce-Reviews .comment-text .woocommerce-review__author {
  color: var(--wp--preset--color--primary);
  font-family: var(--wp--preset--font-family--zxproto-italic);
  font-weight: 400;
  -webkit-font-feature-settings: "ss01" 1, "calt" 1;
          font-feature-settings: "ss01" 1, "calt" 1;
  font-size: var(--wp--preset--font-size--medium);
}
.woocommerce div.product .woocommerce-tabs .panel .woocommerce-Reviews .comment-text .star-rating {
  color: var(--wp--preset--color--secondary);
}
.woocommerce div.product .woocommerce-tabs .panel .woocommerce-Reviews-title {
  display: none;
}
.woocommerce div.product .woocommerce-tabs .panel table.shop_attributes {
  border-collapse: collapse;
}
.woocommerce div.product .woocommerce-tabs .panel table.shop_attributes th {
  padding-right: var(--wp--preset--spacing--40);
  text-align: left;
  vertical-align: top;
  white-space: nowrap;
  width: 1px;
}
.woocommerce div.product .woocommerce-tabs .panel table.shop_attributes td {
  vertical-align: top;
}

.woocommerce-variation-add-to-cart-disabled {
  display: none;
  visibility: hidden;
  pointer-events: none;
}

.btn-warning,
.reset_variations,
.single_add_to_cart_button {
  display: -webkit-inline-box !important;
  display: -ms-inline-flexbox !important;
  display: inline-flex !important;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  --c: var(--wp--preset--color--primary);
  --ca: var(--wp--preset--color--white);
  --p: 100%;
  --s: calc(50% + 2em);
  color: var(--ca);
  padding: 0 !important;
  font-weight: 666;
  text-decoration: none;
  text-align: center;
  background: conic-gradient(from -135deg at 100% 50%, var(--c) 90deg, rgba(0, 0, 0, 0) 0) 0 var(--p, 0%)/var(--s, 0%) 200% no-repeat, conic-gradient(from -135deg at 3.25rem 50%, rgba(0, 0, 0, 0) 90deg, var(--c) 0) 100% var(--p, 0%)/var(--s, 0%) 200% no-repeat;
  -webkit-transition: 0.4s, background-position 0s, color 0s;
  transition: 0.4s, background-position 0s, color 0s;
  padding: 0.5rem 26px !important;
  border: 2px solid var(--c);
  border-radius: var(--wp--custom--button-border-radius);
  cursor: pointer;
}
.btn-warning:disabled,
.reset_variations:disabled,
.single_add_to_cart_button:disabled {
  opacity: 0.5;
  --c: #aaa;
  --ca: #000;
}
.btn-warning:disabled:hover,
.reset_variations:disabled:hover,
.single_add_to_cart_button:disabled:hover {
  --p: 100%;
  --s: calc(50% + 2em);
  color: #000;
}
.btn-warning:hover,
.reset_variations:hover,
.single_add_to_cart_button:hover {
  --p: 0%;
  --s: 0%;
  color: var(--c);
}

.reset_variations,
.btn-warning {
  --p: 0%;
  --s: 0%;
  --c: var(--wp--preset--color--secondary);
  color: var(--c);
  padding: 0.5rem 16px !important;
}
.reset_variations:hover,
.btn-warning:hover {
  --p: 100%;
  --s: calc(50% + 2em);
  color: #f2f2f2;
}

.woocommerce table.variations tr td select {
  height: unset;
  padding: 8px 1rem;
}
.woocommerce table.variations tr th,
.woocommerce table.variations tr td {
  padding-bottom: 0 !important;
  line-height: 1 !important;
}

.woocommerce div.product form.cart table.variations td select {
  min-width: unset;
}

.woocommerce div.product form.cart .variations select {
  max-width: unset;
  min-width: unset;
}

.out-of-stock {
  display: inline-block;
  padding: 0.5rem 1rem;
  background-color: var(--wp--preset--color--secondary);
}

/*--------------------------------------------------------------
# Mini cart
--------------------------------------------------------------*/
/**
 * Mini-Cart block.
 */
.wp-block-woocommerce-mini-cart button.wc-block-mini-cart__button,
.wp-block-woocommerce-mini-cart button.wc-block-mini-cart__button:hover,
.wp-block-woocommerce-mini-cart button.wc-block-mini-cart__button:focus,
.wp-block-woocommerce-mini-cart button.wc-block-mini-cart__button:active {
  background: none;
  border: none;
  border-radius: 0;
  -webkit-box-shadow: none;
          box-shadow: none;
  margin-bottom: initial;
  margin-top: initial;
}
.wp-block-woocommerce-mini-cart .wc-block-mini-cart__quantity-badge {
  left: -20px;
}

.wp-block-woocommerce-customer-account {
  margin: 0 !important;
}
.wp-block-woocommerce-customer-account a {
  padding: 0;
  display: block;
}
.wp-block-woocommerce-customer-account a::before {
  content: "\f007";
  font-family: var(--fa-style-family-sharp);
  font-weight: 400;
  font-size: 32px;
}
.wp-block-woocommerce-customer-account svg {
  display: none;
}

.logged-in .wp-block-woocommerce-customer-account a::before {
  font-weight: 900;
}

button.wc-block-mini-cart__button {
  padding: 0;
}
button.wc-block-mini-cart__button::before {
  content: "\f07a";
  font-family: var(--fa-style-family-sharp);
  font-weight: 900;
  font-size: 32px;
  -webkit-transition: all 3s ease-in-out;
  transition: all 3s ease-in-out;
}
button.wc-block-mini-cart__button svg {
  display: none;
}

.wc-block-mini-cart__drawer .wp-block-woocommerce-mini-cart-contents {
  background-color: var(--wp--preset--color--base);
}
.wc-block-mini-cart__drawer h2.wc-block-mini-cart__title {
  color: var(--wp--preset--color--contrast);
  font-size: 1.5em;
}
.wc-block-mini-cart__drawer table.wc-block-mini-cart-items a.wc-block-components-product-name {
  color: var(--wp--preset--color--contrast);
  font-weight: bold;
  text-decoration: none;
}
.wc-block-mini-cart__drawer table.wc-block-mini-cart-items a.wc-block-components-product-name:hover {
  color: var(--wp--preset--color--primary);
}
.wc-block-mini-cart__drawer table.wc-block-mini-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
  text-decoration: none;
}
.wc-block-mini-cart__drawer table.wc-block-mini-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link:hover {
  text-decoration: underline;
}
.wc-block-mini-cart__drawer .wc-block-mini-cart__footer-actions .wc-block-components-button:not(.is-link).outlined {
  background: transparent;
  border: 2px solid var(--wp--preset--color--primary);
  border-radius: var(--wp--custom--button-border-radius);
  color: var(--wp--preset--color--primary);
  padding: var(--wp--custom--button-padding);
}
.wc-block-mini-cart__drawer .wc-block-mini-cart__footer-actions .wc-block-components-button:not(.is-link).contained {
  background: var(--wp--preset--color--primary);
  border: 2px solid var(--wp--preset--color--primary);
  border-radius: var(--wp--custom--button-border-radius);
  color: var(--wp--preset--color--base);
  padding: var(--wp--custom--button-padding);
}

/*--------------------------------------------------------------
# Cart
--------------------------------------------------------------*/
/**
 * Cart page
 */
body.woocommerce-cart .site-content {
  overflow-x: hidden;
}
body.woocommerce-cart form.woocommerce-cart-form {
  margin-bottom: var(--wp--preset--spacing--40);
}
body.woocommerce-cart .cart-collaterals {
  margin-bottom: var(--wp--preset--spacing--40);
}
body.woocommerce-cart .cart-collaterals .cart_totals {
  background: #f7f7f7;
  padding: var(--wp--preset--spacing--40);
  position: relative;
  width: 100%;
}
body.woocommerce-cart .cart-collaterals .cart_totals h2 {
  display: none;
}
body.woocommerce-cart .cart-collaterals .cart_totals table {
  border: none;
  margin-bottom: var(--wp--preset--spacing--50);
}
body.woocommerce-cart .cart-collaterals .cart_totals table td,
body.woocommerce-cart .cart-collaterals .cart_totals table th {
  border: none;
}
body.woocommerce-cart .cart-collaterals .cart_totals table td {
  font-weight: normal;
  text-align: right;
}
body.woocommerce-cart .cart-collaterals .cart_totals table tr.order-total {
  color: var(--wp--preset--color--primary);
  font-size: 1.125rem;
}
body.woocommerce-cart .cart-collaterals .cart_totals table tr.order-total td,
body.woocommerce-cart .cart-collaterals .cart_totals table tr.order-total th,
body.woocommerce-cart .cart-collaterals .cart_totals table tr.order-total * {
  font-size: inherit;
  font-weight: bold;
}
body.woocommerce-cart .cart-collaterals .cart_totals table tr.shipping th {
  padding-right: 0;
  text-align: initial;
}
body.woocommerce-cart .cart-collaterals .cart_totals table tr.shipping td {
  padding-left: 0;
  text-align: initial;
}
body.woocommerce-cart .cart-collaterals .cart_totals table #shipping_method,
body.woocommerce-cart .cart-collaterals .cart_totals table .woocommerce-shipping-destination {
  clear: both;
  font-size: 0.875rem;
  line-height: normal;
  margin-bottom: var(--wp--preset--spacing--50);
}
body.woocommerce-cart .cart-collaterals .cart_totals table #shipping_method .amount,
body.woocommerce-cart .cart-collaterals .cart_totals table .woocommerce-shipping-destination .amount {
  font-weight: normal;
}
body.woocommerce-cart .cart-collaterals .cart_totals table #shipping_method li,
body.woocommerce-cart .cart-collaterals .cart_totals table .woocommerce-shipping-destination li {
  text-align: initial;
}
body.woocommerce-cart .cart-collaterals .cart_totals table .woocommerce-shipping-destination {
  margin: 5px 0;
}
body.woocommerce-cart .cart-collaterals .cart_totals table form.woocommerce-shipping-calculator {
  font-size: 0.875em;
}
body.woocommerce-cart .cart-collaterals .cart_totals table .shipping-calculator-form {
  padding-left: 10%;
}
body.woocommerce-cart .cart-collaterals .cart_totals table .shipping-calculator-form p {
  line-height: normal;
  padding-right: 0;
  text-align: initial;
}
body.woocommerce-cart .cart-collaterals .cart_totals table .shipping-calculator-form button[type=submit] {
  float: right;
  margin-right: 0;
}
body.woocommerce-cart .variation dt {
  font-size: 0.875em;
  font-weight: 700;
}
body.woocommerce-cart .variation dd {
  font-size: 0.875em;
  margin: 0 0 var(--wp--preset--spacing--10);
}
body.woocommerce-cart .cross-sells {
  clear: both;
}

@media (min-width: 992px) {
  body.woocommerce-cart form.woocommerce-cart-form {
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    display: inline-block;
    float: left;
    margin-bottom: var(--wp--preset--spacing--40);
    padding-right: var(--wp--preset--spacing--40);
    padding-right: var(--wp--preset--spacing--40);
    width: 60%;
  }
  body.woocommerce-cart .cart-collaterals {
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    display: inline-block;
    float: left;
    margin-bottom: var(--wp--preset--spacing--40);
    width: 40%;
  }
  body.woocommerce-cart .cart-collaterals .cart_totals {
    float: none;
    width: 100%;
  }
}
/*--------------------------------------------------------------
# Checkout
--------------------------------------------------------------*/
/**
 * Checkout
 */
.woocommerce-checkout main .woocommerce {
  max-width: 1860px;
}

body.woocommerce-checkout .entry-content p:not([class^=has]),
body.woocommerce-checkout .entry-content li:not(.product) {
  font-size: 1rem;
}
body.woocommerce-checkout .col-1,
body.woocommerce-checkout .col-2 {
  max-width: initial;
  padding: 0;
  width: 100%;
}
body.woocommerce-checkout form.woocommerce-checkout {
  display: grid;
  grid-template-columns: repeat(auto-fit, 1fr);
  grid-template-rows: 50px auto;
  -webkit-column-gap: var(--wp--preset--spacing--60);
     -moz-column-gap: var(--wp--preset--spacing--60);
          column-gap: var(--wp--preset--spacing--60);
  row-gap: var(--wp--preset--spacing--20);
  grid-auto-flow: column;
}
body.woocommerce-checkout form.woocommerce-checkout #customer_details {
  grid-column: 1;
  grid-row: 1/3;
}
body.woocommerce-checkout form.woocommerce-checkout h3 {
  grid-column: 2;
  grid-row: 1;
}
body.woocommerce-checkout form.woocommerce-checkout #order_review {
  grid-column: 2;
  grid-row: 2;
  padding: 0;
}
body.woocommerce-checkout form.woocommerce-checkout:after {
  content: unset;
}
body.woocommerce-checkout table.shop_table {
  width: 100%;
}
body.woocommerce-checkout #customer_details .col-1,
body.woocommerce-checkout #customer_details .col-2 {
  float: none;
  width: 100%;
}
body.woocommerce-checkout #order_review {
  margin-right: 0;
}
body.woocommerce-checkout #order_review #payment {
  background: transparent;
}
body.woocommerce-checkout #order_review #shipping_method li {
  font-size: 1rem;
  line-height: normal;
  text-align: initial;
}
body.woocommerce-checkout #order_review #shipping_method li label {
  font-weight: normal;
}
body.woocommerce-checkout.woocommerce-order-pay #order_review {
  float: none;
  margin: 0 auto;
  padding: 0;
  width: 70%;
}
body.woocommerce-checkout .order_review_inner {
  border: 1px solid #313131;
  padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--40) var(--wp--preset--spacing--50);
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table th {
  border: none;
  padding: var(--wp--preset--spacing--20) 0;
  text-align: left;
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table tr:first-child td {
  border: none;
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table td {
  border: none;
  padding: var(--wp--preset--spacing--20) 0;
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table .product-total {
  text-align: right;
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table tbody tr:last-child td {
  border-bottom: 1px solid #ebebeb;
  padding-bottom: var(--wp--preset--spacing--40);
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table tfoot tr:first-child td,
body.woocommerce-checkout table.woocommerce-checkout-review-order-table tfoot tr:first-child th {
  padding-top: var(--wp--preset--spacing--40);
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table tfoot th {
  background: none;
  border: none;
  padding-right: var(--wp--preset--spacing--20);
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table tfoot td {
  text-align: right;
}
body.woocommerce-checkout table.woocommerce-checkout-review-order-table .order-total,
body.woocommerce-checkout table.woocommerce-checkout-review-order-table .tax-total {
  display: none;
}
body.woocommerce-checkout #payment ul {
  background: #f7f7f7;
  border: none;
}
body.woocommerce-checkout #payment ul li {
  margin-bottom: var(--wp--preset--spacing--20);
  padding: var(--wp--preset--spacing--10) 0;
  position: relative;
}
body.woocommerce-checkout #payment ul li.woocommerce-notice {
  padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--40) var(--wp--preset--spacing--20) var(--wp--preset--spacing--50) !important;
}
body.woocommerce-checkout #payment ul li .radiobutton {
  pointer-events: none;
  position: absolute;
}
body.woocommerce-checkout #payment ul li label {
  cursor: pointer;
  font-weight: bold;
}
body.woocommerce-checkout #payment ul li.payment_method_paypal label img {
  float: right;
  margin-top: -3px;
}
body.woocommerce-checkout #payment ul li.payment_method_paypal label a {
  font-size: 80%;
  font-weight: lighter;
  margin-left: var(--wp--preset--spacing--20);
}
body.woocommerce-checkout #payment ul li .wc-payment-form label {
  padding-left: 0;
}
body.woocommerce-checkout #payment #place_order {
  display: block;
  font-size: 20px;
  font-weight: bold;
  margin-bottom: var(--wp--custom--vertical-spacing);
  outline: none;
  padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--40) var(--wp--preset--spacing--30);
  text-transform: uppercase;
  width: 100%;
}
body.woocommerce-checkout #payment > ul.wc_payment_methods > li:first-child:last-child > label {
  padding-left: 0;
}
body.woocommerce-checkout .woocommerce-terms-and-conditions-wrapper p {
  margin-bottom: var(--wp--preset--spacing--40);
  padding: 0;
}
body.woocommerce-checkout .checkout_coupon {
  background-color: #ffffff;
  border-radius: 0;
  border-width: 0;
  -webkit-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
          box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
  font-size: 1rem;
  font-weight: 500;
}

#add_payment_method #payment div.payment_box,
.woocommerce-cart #payment div.payment_box,
.woocommerce-checkout #payment div.payment_box {
  background-color: hsl(25, 100%, 94%);
  color: var(--wp--preset--color--contrast);
}

#add_payment_method #payment div.payment_box::before,
.woocommerce-cart #payment div.payment_box::before,
.woocommerce-checkout #payment div.payment_box::before {
  border: 1em solid hsl(25, 100%, 94%);
  border-right-color: transparent;
  border-left-color: transparent;
  border-top-color: transparent;
}

/*--------------------------------------------------------------
# Thankyou
--------------------------------------------------------------*/
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] {
  max-width: 960px !important;
}
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] h1 {
  text-align: center;
}
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] .woocommerce-order {
  padding: 2rem;
  max-width: 960px;
  margin-inline: auto;
  -webkit-box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
          box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
  border-radius: 5px;
}
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] .woocommerce-order ul.woocommerce-order-overview {
  list-style-type: none;
}
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] .woocommerce-order ul.woocommerce-order-overview strong {
  display: block;
}
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] .woocommerce-order th {
  text-align: initial;
}
div[data-template=order-confirmation][data-block-name="woocommerce/legacy-template"] .woocommerce-order address {
  padding: 0;
}